import { Heading } from "@/components/heading";
import { SchemaBuilder } from "@/components/schema";
import { prisma } from "@/prisma/prismaClient";

export default async function CreateSchemaForGameSystem(
  { params }: { params: { id: string } },
) {
  const gs = await prisma.gameSystem.findFirst({
    where: { id: params.id },
    select: { name: true },
  });

  return (
    <>
      <Heading title={gs?.name || ""} strapline="Schemas" />
      <section>
        <SchemaBuilder></SchemaBuilder>
      </section>
    </>
  );
}
